# Customer Address Services

All services related to CustomerAddress are listed in this page.

### `OPTIONS` List CustomerAddress - Simple

This service is used to retrieve a simple list of data types for Customer Addresses.

**Path:** `/api/v1/oms/customer_addresses/list-simple/`

**Query Parameters**

The following query parameters can be used to get simple information about CustomerAddress.

| Parameter | Data Type | In     | Description                         |
| --------- | --------- | ------ | ----------------------------------- |
| token     | string    | header | The API key of the customer account |

**Example Request**

To get a simple list of CustomerAddress, a `OPTIONS` request should be sent to `/api/v1/oms/customer_addresses/list-simple/` endpoint. No query parameters or request body are required.

Here's an example of how to make the request in python:

```python

import requests

url = "https://{oms_base_url}/api/v1/oms/customer_addresses/list-simple/"
api_token = "f532eXXXXXXXXXXXXXXXXX201XXXXX9332d"

headers = {
'Accept': 'application/json',
'Authorization': 'Token {}'.format(api_token)
}

response = requests.request("OPTIONS", url, headers=headers)

print(response.json())
```

**Example Response (200 OK)**

In a successful response with a status code of 200 OK, the API returns a simple list of CustomerAddress with their information.

This example response serves as a reference to understand the structure and data format of CustomerAddress.

```json
{
    "name": "list-simple",
    "renders": [
        "application/json",
        "text/csv",
        "application/xls"
    ],
    "parses": [
        "application/json",
        "application/x-www-form-urlencoded",
        "multipart/form-data"
    ],
    "actions": {
        "GET": {
            "id": {
                "type": "integer",
                "required": false,
                "read_only": true,
                "label": "ID"
            },
            "address_type": {
                "type": "choice",
                "required": true,
                "read_only": false,
                "label": "Address type",
                "choices": [
                    {
                        "value": "customer",
                        "display_name": "Customer"
                    },
                    {
                        "value": "retail_store",
                        "display_name": "Retail Store"
                    },
                    {
                        "value": "checkout_provider",
                        "display_name": "Checkout Provider"
                    }
                ]
            },
            "created_date": {
                "type": "datetime",
                "required": false,
                "read_only": true,
                "label": "Created date"
            },
            "modified_date": {
                "type": "datetime",
                "required": false,
                "read_only": true,
                "label": "Modified date"
            },
            "omnitron_id": {
                "type": "integer",
                "required": true,
                "read_only": false,
                "label": "Omnitron id",
                "min_value": -2147483648,
                "max_value": 2147483647
            },
            "mapping": {
                "type": "json",
                "required": false,
                "read_only": false,
                "label": "Mapping"
            },
            "title": {
                "type": "string",
                "required": false,
                "read_only": false,
                "label": "Title",
                "max_length": 128
            },
            "is_active": {
                "type": "boolean",
                "required": false,
                "read_only": false,
                "label": "Is active"
            },
            "line": {
                "type": "string",
                "required": true,
                "read_only": false,
                "label": "Line of address",
                "max_length": 255
            },
            "postcode": {
                "type": "string",
                "required": false,
                "read_only": false,
                "label": "Post/Zip-code",
                "max_length": 64
            },
            "notes": {
                "type": "string",
                "required": false,
                "read_only": false,
                "label": "Instructions"
            },
            "email": {
                "type": "email",
                "required": true,
                "read_only": false,
                "label": "Email",
                "max_length": 254
            },
            "phone_number": {
                "type": "string",
                "required": false,
                "read_only": false,
                "label": "Phone number",
                "max_length": 128
            },
            "first_name": {
                "type": "string",
                "required": true,
                "read_only": false,
                "label": "First name",
                "max_length": 255
            },
            "last_name": {
                "type": "string",
                "required": true,
                "read_only": false,
                "label": "Last name",
                "max_length": 255
            },
            "company_name": {
                "type": "string",
                "required": false,
                "read_only": false,
                "label": "Company Name",
                "max_length": 255
            },
            "tax_office": {
                "type": "string",
                "required": false,
                "read_only": false,
                "label": "Tax office",
                "max_length": 64
            },
            "tax_no": {
                "type": "string",
                "required": false,
                "read_only": false,
                "label": "Tax No",
                "max_length": 20
            },
            "e_bill_taxpayer": {
                "type": "boolean",
                "required": false,
                "read_only": false,
                "label": "E bill taxpayer"
            },
            "country": {
                "type": "pk field",
                "required": true,
                "read_only": false,
                "label": "Country"
            },
            "city": {
                "type": "pk field",
                "required": true,
                "read_only": false,
                "label": "City"
            },
            "township": {
                "type": "pk field",
                "required": false,
                "read_only": false,
                "label": "Township"
            },
            "district": {
                "type": "pk field",
                "required": false,
                "read_only": false,
                "label": "District"
            },
            "customer": {
                "type": "pk field",
                "required": true,
                "read_only": false,
                "label": "Customer"
            }
        }
    },
    "filters": [
        {
            "label": "Sort",
            "field_name": "sort",
            "type": "dropdown",
            "lookup_expr": [
                "exact"
            ],
            "extra": {
                "choices": [
                    [
                        "id",
                        "ID"
                    ],
                    [
                        "-id",
                        "ID (descending)"
                    ],
                    [
                        "modified_date",
                        "Modified Date"
                    ],
                    [
                        "-modified_date",
                        "Modified Date (descending)"
                    ]
                ],
                "help_text": "",
                "null_label": null,
                "required": false
            }
        },
        {
            "label": "Id Gt",
            "field_name": "id",
            "type": "integer",
            "lookup_expr": [
                "gt"
            ],
            "extra": {
                "required": false
            }
        },
        {
            "label": "Id Gte",
            "field_name": "id",
            "type": "integer",
            "lookup_expr": [
                "gte"
            ],
            "extra": {
                "required": false
            }
        },
        {
            "label": "Id Lt",
            "field_name": "id",
            "type": "integer",
            "lookup_expr": [
                "lt"
            ],
            "extra": {
                "required": false
            }
        },
        {
            "label": "Id Lte",
            "field_name": "id",
            "type": "integer",
            "lookup_expr": [
                "lte"
            ],
            "extra": {
                "required": false
            }
        },
        {
            "label": "Created Date",
            "field_name": "created_date",
            "type": "string",
            "lookup_expr": [
                "exact",
                "gt",
                "gte",
                "lt",
                "lte"
            ],
            "extra": {
                "required": false
            }
        },
        {
            "label": "Modified Date",
            "field_name": "modified_date",
            "type": "string",
            "lookup_expr": [
                "exact",
                "gt",
                "gte",
                "lt",
                "lte"
            ],
            "extra": {
                "required": false
            }
        }
    ]
}

```

### `GET` List CustomerAddress

This service is used to get a list of the CustomerAddress.

**Path:** `/api/v1/oms/customer_addresses/list-simple/`

**Query Parameters**

The following query parameters can be used to get the information about CustomerAddress.

| Parameter | Data Type | In     | Description                         |
| --------- | --------- | ------ | ----------------------------------- |
| token     | string    | header | The API key of the customer account |

**Example Request**

To get a list of CustomerAddress, a `GET` request should be sent to `/api/v1/oms/customer_addresses/list-simple/` endpoint. No query parameter or request body are required.

Here's an example of how to make the request in python:

```python
import requests

url = "https://{oms_base_url}/api/v1/oms/customer_addresses/list-simple/"
api_token = "f532eXXXXXXXXXXXXXXXXX201XXXXX9332d"

headers = {
'Accept': 'application/json',
'Authorization': 'Token {}'.format(api_token)
}

response = requests.request("GET", url, headers=headers)

print(response.json())
```

**Example Response (200 OK)**

In a successful response with a status code of 200 OK, the API returns customer\_addresses information.

| Parameter         | Data Type | Description                                       |
| ----------------- | --------- | ------------------------------------------------- |
| pk                | integer   | The ID of the customer address                    |
| address\_type     | string    | The address type of the customer address          |
| omnitron\_id      | integer   | The omnitron ID of the customer address           |
| mapping           | json      | The mapping value of the customer address         |
| title             | string    | The title value of the customer address           |
| is\_active        | boolean   | The status of the customer address                |
| line              | string    | The line value of the customer address            |
| postcode          | string    | The postcode value of the customer address        |
| notes             | string    | The notes value of the customer address           |
| email             | string    | The email value of the customer address           |
| phone\_number     | string    | The phone number value of the customer address    |
| first\_name       | string    | The first name value of the customer address      |
| last\_name        | string    | The last name value of the customer address       |
| company\_name     | string    | The company name value of the customer address    |
| tax\_office       | string    | The tax office value of the customer address      |
| tax\_no           | string    | The tax no value of the customer address          |
| e\_bill\_taxpayer | boolean   | The e bill taxpayer value of the customer address |
| country           | integer   | The country value of the customer address         |
| city              | integer   | The city value of the customer address            |
| township          | integer   | The township value of the customer address        |
| district          | integer   | The district value of the customer address        |
| customer          | integer   | The customer value of the customer address        |

This example response serves as a reference to understand the structure and data format of customer\_addresses.

```json
{
    "count": 1,
    "next": "https://{oms_base_url}/api/v1/oms/customer_addresses/list-simple/?page=2",
    "previous": null,
    "results": [
        {
            "id": 1,
            "address_type": "customer",
            "created_date": "2000-07-04T15:14:52.936767Z",
            "modified_date": "2000-07-04T15:14:52.936789Z",
            "omnitron_id": 1,
            "mapping": null,
            "title": "Home",
            "is_active": true,
            "line": "address line",
            "postcode": "01010",
            "notes": null,
            "email": "name_surname@gmail.com",
            "phone_number": "01111111111",
            "first_name": "name",
            "last_name": "surname",
            "company_name": "",
            "tax_office": "",
            "tax_no": "",
            "e_bill_taxpayer": false,
            "country": 1,
            "city": 1,
            "township": 1,
            "district": null,
            "customer": 1
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/oms/customer-address-services.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
